Name:          howl-logger
Version:       1.0.2
Release:       1%{?dist}
Summary:       High-speed ObjectWeb Logger
License:       BSD
URL:           http://forge.ow2.org/projects/howl/
# svn export svn://svn.forge.objectweb.org/svnroot/howl/tags/HOWL_1_0_2/howl/logger/ howl-logger-1.0.2
# tar czf howl-logger-1.0.2-src-svn.tar.gz howl-logger-1.0.2
Source0:       %{name}-%{version}-src-svn.tar.gz
BuildRequires: java-devel

# test deps
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local
BuildRequires: maven-surefire-provider-junit4

BuildArch:     noarch

%description
HOWL is a logger implementation providing features
required by the ObjectWeb JOTM project, with a public
API that is generally usable by any Transaction Manager.
HOWL uses unformatted binary logs to maximize performance
and specifies a journalization API with methods necessary
to support JOTM recovery operations.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
rm -r .externalToolBuilders .settings
%pom_xpath_set "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:source" 1.5
%pom_xpath_set "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:target" 1.5
%pom_xpath_set "pom:project/pom:version" %{version}

# these test fails
# java.lang.OutOfMemoryError: unable to create new native thread: 785 threads created
rm -r src/test/org/objectweb/howl/log/BigLogTest.java \
 src/test/org/objectweb/howl/log/ThroughputTest.java \
 src/test/org/objectweb/howl/log/LogTest.java
sed -i "s|junit.textui.TestRunner.run(LogTest.class);|//junit.textui.TestRunner.run(LogTest.class);|" \
  src/test/org/objectweb/howl/log/allTest.java \
  src/test/org/objectweb/howl/log/ExceptionTest.java

%build

%mvn_file :howl %{name} howl
%mvn_alias :howl "howl:%{name}"
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Fri Aug 31 2012 gil cattaneo <puntogil@libero.it> 1.0.2-1
- initial rpm